Skip to main content
GET
/
lucca-api
/
webhook-delivery-attempts
/
{id}
Retrieve a webhook-delivery-attempt
curl --request GET \
  --url https://{host}/lucca-api/webhook-delivery-attempts/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "874",
  "type": "webhook-delivery-attempt",
  "url": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts/874",
  "signature": "9087FD897DSF87D67F78SD6F876SD78F6SD7886F78SD6F87SD678F6SD78F6SD786FS876F78SD6F786FYJHXWYCV78C6FV7868S7FDS78",
  "webhookDelivery": {
    "id": "87",
    "type": "webhook-delivery",
    "url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87"
  },
  "isSuccessful": true,
  "responseStatusCode": 202,
  "errorResponseBody": "",
  "createdAt": "2024-04-03T09:23:56.235Z",
  "links": {},
  "embedded": {
    "webhook-delivery": {
      "87": {
        "id": "87",
        "type": "webhook-delivery",
        "url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87",
        "nextAttemptAt": "2023-08-29T09:12:33.001Z",
        "attemptsCount": 2,
        "status": "delivered",
        "event": {
          "id": "123",
          "type": "event",
          "url": "https://example.ilucca.net/lucca-api/events/123"
        },
        "webhookEndpoint": {
          "id": "12",
          "type": "webhook-endpoint",
          "url": "https://example.ilucca.net/lucca-api/webhook-endpoints/12"
        },
        "links": {
          "attempts": {
            "href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=87"
          }
        }
      }
    },
    "event": {
      "123": {
        "id": "123",
        "type": "event",
        "url": "https://example.ilucca.net/lucca-api/events/123",
        "apiVersion": "2024-01-01",
        "topic": "employee.updated",
        "occurredAt": "2024-02-01T09:34:23.001Z",
        "source": "https://example.ilucca.net",
        "businessEstablishment": {
          "id": "12",
          "type": "business-establishment",
          "url": "https://example.ilucca.net/lucca-api/business-establishments/12"
        },
        "data": {
          "id": "416",
          "type": "employee",
          "url": "https://example.ilucca.net/lucca-api/employees/416",
          "remoteId": "00002345",
          "portrait": {
            "id": "66512232",
            "type": "portrait",
            "url": "https://example.ilucca.net/lucca-api/portraits/66512232"
          },
          "givenName": "Edward",
          "familyName": "Atkinson",
          "employeeNumber": "E000124",
          "status": "active",
          "email": "eatkinson@acme.corp",
          "birthDay": {
            "day": 22,
            "month": 12
          },
          "phoneNumber": "+33145784512",
          "applicableEmployment": {
            "id": "154",
            "type": "employment",
            "url": "https://example.ilucca.net/lucca-api/employments/154"
          },
          "applicableJobPosition": {
            "id": "74",
            "type": "job-position",
            "url": "https://example.ilucca.net/lucca-api/job-positions/74"
          },
          "createdAt": "2024-04-15T23:12:54.0001Z",
          "lastUpdatedAt": "2024-04-15T23:12:54.0001Z"
        },
        "previousAttributes": {
          "givenName": "Ed"
        },
        "links": {
          "retry": {
            "href": "https://example.ilucca.net/lucca-api/webhook-deliveries"
          }
        }
      }
    }
  }
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 webhook-deliveries.readonly
or
 webhook-deliveries.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

ID of the webhook-delivery-attempt.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A webhook-delivery-attempt resource.

id
string
Minimum string length: 1
type
string
Allowed value: "webhook-delivery-attempt"
url
string<uri>
signature
string
Minimum string length: 1
webhookDelivery
webhook-delivery-reference · object

Reference to a webhook-deliver resource.

isSuccessful
boolean
responseStatusCode
integer
Required range: 100 <= x <= 599
errorResponseBody
string
createdAt
string<date-time>
embedded
object

Embeds the representation of resources related to the webhook-delivery-attempt(s).

Only returned if requested by the API client: ?include=embedded.